Autor Tópico: [RESOLVIDO]Incoerência de instalção language-pack-kde-pt(-base)  (Lida 4354 vezes)

eduaRdorv

  • Visitante
[RESOLVIDO]Incoerência de instalção language-pack-kde-pt(-base)
« Online: 15 de Outubro de 2009, 10:49 »
Estou tem tempo tentando evitar que um erro aconteça quando eu instalo os pacotes para tradução do meu Kubuntu 9.04.

Quando eu vou instalar os pacotes, como sugerido logo após a instalação do sistema, acusa que o Language-pack-kde-pt-base não é um pacote genuinamente ubuntu. E o meu sistema é parcialmente traduzido [de forma estranha, pois se reinstalar o sistema, partes diferentes dos programas serão traduzidas]. O que eu fiz, baixei, não instalei, descompactei e joguei tudo para dentro de uma pasta, levando tudo para o locale-longpack em seguida, reiniciei e tudo traduzido... Beleza... Nem! Depois que resolvi isso fui baixar o Opera 10.10 e não pude instalar pois o Gdebi acusou dependências quebradas.

Observe que, o erro acontece a qualquer momento, mesmo quando não tinha feito essa "trapaça".

Olha o que acontece quando eu tento resolver pelo Aptitude

Código: [Selecionar]
eduardo@eduardo-desktop:~$ sudo aptitude -f install
[sudo] password for eduardo:                      
Lendo listas de pacotes... Pronto                  
Construindo árvore de dependências                
Lendo informação de estado... Pronto              
Lendo informações estendidas de estado            
Inicializando estados de pacotes... Pronto        
Os NOVOS pacotes a seguir serão instalados:        
  language-pack-kde-pt                            
Os seguintes pacotes parcialmente instalados serão configurados:
  language-pack-kde-pt-base                                    
0 pacotes atualizados, 1 novos instalados, 0 a serem removidos e 0 não atualizados.                                                                            
É preciso obter 0B/1945kB de arquivos. Depois do desempacotamento, 7361kB serão usados.                                                                        
Você deseja continuar? [Y/n/?] Y                                                
(Lendo banco de dados ... 115871 arquivos e diretórios atualmente instalados).  
Desempacotando language-pack-kde-pt (de .../language-pack-kde-pt_1%3a9.04+20090803.2_all.deb) ...                                                              
Substituindo arquivos no pacote antigo language-pack-kde-pt-base ...            
dpkg: erro processando /var/cache/apt/archives/language-pack-kde-pt_1%3a9.04+20090803.2_all.deb (--unpack):                                                    
 tentando sobrescrever '/usr/share/locale-langpack/pt_BR/LC_MESSAGES/phonon_gstreamer.mo', que também está no pacote language-pack-pt                          
dpkg-deb: sub-processo paste foi morto por sinal (Pipe quebrado)                
Erros foram encontrados durante o processamento de:                            
 /var/cache/apt/archives/language-pack-kde-pt_1%3a9.04+20090803.2_all.deb      
E: Sub-process /usr/bin/dpkg returned an error code (1)                        
A instalação de um pacote falhou. Tentando recuperar:                          
dpkg: problemas de dependência impedem a configuração de language-pack-kde-pt-base:                                                                            
 language-pack-kde-pt-base depende de language-pack-kde-pt (>= 1:9.04+20090413.1); porém:                                                                      
  Pacote language-pack-kde-pt não está instalado.                              
dpkg: erro processando language-pack-kde-pt-base (--configure):                
 problemas de dependência - deixando desconfigurado                            
Erros foram encontrados durante o processamento de:                            
 language-pack-kde-pt-base                                                      
Lendo listas de pacotes... Pronto                                              
Construindo árvore de dependências                                              
Lendo informação de estado... Pronto                                            
Lendo informações estendidas de estado                                          
Inicializando estados de pacotes... Pronto

Tentei instalar somente o language-pack-kde-pt pelo "apt-get", mas não tive exito.

Código: [Selecionar]
eduardo@eduardo-desktop:~$ sudo apt-get install language-pack-kde-pt
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Os pacotes extra a seguir serão instalados:
  language-pack-kde-pt-base
Os NOVOS pacotes a seguir serão instalados:
  language-pack-kde-pt language-pack-kde-pt-base
0 pacotes atualizados, 2 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.
É preciso baixar 0B/9233kB de arquivos.
Depois desta operação, 36,8MB adicionais de espaço em disco serão usados.
Você quer continuar [S/n]? S
Selecionando pacote previamente não selecionado language-pack-kde-pt-base.
(Lendo banco de dados ... 114108 arquivos e diretórios atualmente instalados).
Desempacotando language-pack-kde-pt-base (de .../language-pack-kde-pt-base_1%3a9.04+20090413.1_all.deb) ...
Substituídos por arquivos no pacote instalado language-pack-pt ...
Desempacotando language-pack-kde-pt (de .../language-pack-kde-pt_1%3a9.04+20090803.2_all.deb) ...
Substituindo arquivos no pacote antigo language-pack-kde-pt-base ...
dpkg: erro processando /var/cache/apt/archives/language-pack-kde-pt_1%3a9.04+20090803.2_all.deb (--unpack):
 tentando sobrescrever '/usr/share/locale-langpack/pt_BR/LC_MESSAGES/phonon_gstreamer.mo', que também está no pacote language-pack-pt
dpkg-deb: sub-processo paste foi morto por sinal (Pipe quebrado)
Erros foram encontrados durante o processamento de:
 /var/cache/apt/archives/language-pack-kde-pt_1%3a9.04+20090803.2_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Obs: Instalei o KDE no meu Ubuntu pelo Synaptic, depois tentei instalar os language-pack-kde-pt... deu a mesma coisa.

Como eu posso resolver isso?
« Última modificação: 15 de Outubro de 2009, 11:10 por eduaRdorv »

Offline luiscarlos

  • Usuário Ubuntu
  • *
  • Mensagens: 534
    • Ver perfil
Re: Incoerência de instalção language-pack-kde-pt(-base)
« Resposta #1 Online: 15 de Outubro de 2009, 10:59 »
Tive um problema parecido com esse pacote "language-pack-kde-pt", tente isso no terminal:
Código: [Selecionar]
# dpkg --force-all -i
/var/cache/apt/archives/language-pack-kde-pt_1%3a9.04+20090803.2_all.deb
Código: [Selecionar]
# apt-get -f installEspero ter ajudado.
[]'s

eduaRdorv

  • Visitante
Re: Incoerência de instalção language-pack-kde-pt(-base)
« Resposta #2 Online: 15 de Outubro de 2009, 11:08 »
Deu certo>>

Código: [Selecionar]
eduardo@eduardo-desktop:~$ sudo dpkg --force-all -i /var/cache/apt/archives/language-pack-kde-pt_1%3a9.04+20090803.2_all.deb
(Lendo banco de dados ... 114108 arquivos e diretórios atualmente instalados).
Desempacotando language-pack-kde-pt (de .../language-pack-kde-pt_1%3a9.04+20090803.2_all.deb) ...
dpkg - aviso, ignorando problema porque --force foi habilitado:
 tentando sobrescrever '/usr/share/locale-langpack/pt_BR/LC_MESSAGES/phonon_gstreamer.mo', que também está no pacote language-pack-pt
dpkg: language-pack-kde-pt: problemas de dependência, mas configurando assim mesmo como pedido:
 language-pack-kde-pt depende de language-pack-kde-pt-base (>= 1:9.04+20090413); porém:
  Pacote language-pack-kde-pt-base não está instalado.
Configurando language-pack-kde-pt (1:9.04+20090803.2) ...

Código: [Selecionar]
eduardo@eduardo-desktop:~$ sudo apt-get -f install
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Corrigindo dependências... Pronto
Os pacotes extra a seguir serão instalados:
  language-pack-kde-pt-base
Os NOVOS pacotes a seguir serão instalados:
  language-pack-kde-pt-base
0 pacotes atualizados, 1 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.
É preciso baixar 0B/7289kB de arquivos.
Depois desta operação, 29,4MB adicionais de espaço em disco serão usados.
Você quer continuar [S/n]? S
Selecionando pacote previamente não selecionado language-pack-kde-pt-base.
(Lendo banco de dados ... 114333 arquivos e diretórios atualmente instalados).
Desempacotando language-pack-kde-pt-base (de .../language-pack-kde-pt-base_1%3a9.04+20090413.1_all.deb) ...
Substituídos por arquivos no pacote instalado language-pack-kde-pt ...
Substituídos por arquivos no pacote instalado language-pack-pt ...
Configurando language-pack-kde-pt-base (1:9.04+20090413.1) ...

Muito obrigado.

Offline luiscarlos

  • Usuário Ubuntu
  • *
  • Mensagens: 534
    • Ver perfil
Re: [RESOLVIDO]Incoerência de instalção language-pack-kde-pt(-base)
« Resposta #3 Online: 15 de Outubro de 2009, 15:27 »
 :D